%define url_ver	%(echo %{version} | cut -d "." -f -2)

Summary:	A GNOME filemanager similar to the Norton Commander(TM)
Name:		gnome-commander
Version:	1.6.4
Release:	%mkrel 2
License:	GPLv2+
Group:		File tools
URL:		http://www.freesoftware.fsf.org/gcmd/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gnome-commander-1.2.8.15-staticlib.patch
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-vfs-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libgnome-2.0)
BuildRequires:	pkgconfig(libgnomeui-2.0)
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(poppler)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(unique-1.0)
BuildRequires:	pkgconfig(python)
BuildRequires:	libchm-devel
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	libxslt-proc
BuildRequires:	desktop-file-utils
BuildRequires:	flex
BuildRequires:	gnome-common

%description
Gnome Commander is a filemanager that just like the classical Norton
commander (TM) lets you do everything with the keyboard. It can
perform all standard file operations and some extra features like ftp
support.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--disable-scrollkeeper
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name} --with-gnome
for omf in %{buildroot}%{_datadir}/omf/*/*[_-]??.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="System" \
  --add-category="FileTools" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files -f %{name}.lang
%doc README TODO ChangeLog
%{_bindir}/%{name}
%{_bindir}/gcmd-block
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-commander.*.xml
%{_mandir}/man1/%{name}.1.*
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/%{name}-C.omf


%changelog
* Tue Jun 20 2017 neoclust <neoclust> 1.6.4-2.mga6
+ Revision: 1107997
- Rebuild against new exiv2

* Sun May 28 2017 ovitters <ovitters> 1.6.4-1.mga6
+ Revision: 1105368
- new version 1.6.4

* Sun Feb 26 2017 ovitters <ovitters> 1.6.3-1.mga6
+ Revision: 1088018
- new version 1.6.3

* Sun Nov 06 2016 ovitters <ovitters> 1.6.2-1.mga6
+ Revision: 1065563
- new version 1.6.2

* Tue Oct 18 2016 ovitters <ovitters> 1.6.1-1.mga6
+ Revision: 1061812
- new version 1.6.1
- dropped merged patch 2

* Fri Oct 07 2016 daviddavid <daviddavid> 1.6.0-1.mga6
+ Revision: 1059436
- add a patch to fix another build issue with gcc5/gcc6

  + ovitters <ovitters>
    - new version 1.6.0

* Sun Sep 18 2016 ovitters <ovitters> 1.4.9-1.mga6
+ Revision: 1053957
- new version 1.4.9

* Mon Mar 14 2016 ovitters <ovitters> 1.4.8-1.mga6
+ Revision: 990725
- new version 1.4.8
- dropped merged patch 2

* Fri Feb 19 2016 daviddavid <daviddavid> 1.4.7-3.mga6
+ Revision: 969794
- add patch1 from Fedora to fix build with gcc5/gcc6

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Aug 26 2015 sander85 <sander85> 1.4.7-2.mga6
+ Revision: 869795
- Rebuild for exiv2 0.25

* Sat Jun 20 2015 ovitters <ovitters> 1.4.7-1.mga6
+ Revision: 836611
- new version 1.4.7

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-4.mga5
+ Revision: 745004
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.3-3.mga5
+ Revision: 679707
- Mageia 5 Mass Rebuild

* Wed Jun 25 2014 ovitters <ovitters> 1.4.3-2.mga5
+ Revision: 639609
- remove la files

* Mon Jun 23 2014 fwang <fwang> 1.4.3-1.mga5
+ Revision: 638785
- update file list

  + ovitters <ovitters>
    - new version 1.4.3

* Fri May 30 2014 ovitters <ovitters> 1.4.2-1.mga5
+ Revision: 627816
- new version 1.4.2

* Sat Apr 05 2014 ovitters <ovitters> 1.4.1-1.mga5
+ Revision: 611814
- new version 1.4.1

* Mon Mar 17 2014 dams <dams> 1.4.0-1.mga5
+ Revision: 604430
- new version 1.4.0
- enable back 'gsf build'
- rediff patch

* Mon Feb 10 2014 dams <dams> 1.2.8.17-3.mga5
+ Revision: 589008
- rebuild for new exiv2

* Sat Feb 08 2014 fwang <fwang> 1.2.8.17-2.mga5
+ Revision: 586085
- rebuild for new poppler

* Tue Feb 04 2014 dams <dams> 1.2.8.17-1.mga5
+ Revision: 580929
- new version 1.2.8.17
- remove useless patches (merged upstream)

* Sat Oct 19 2013 umeabot <umeabot> 1.2.8.15-14.mga4
+ Revision: 530975
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 fwang <fwang> 1.2.8.15-13.mga4
+ Revision: 461353
- rebuild for new poppler

* Sat Jul 20 2013 fwang <fwang> 1.2.8.15-12.mga4
+ Revision: 456569
- force use new api
- patch against latest poppler
- rebuild for new poppler

* Sun Jun 23 2013 fwang <fwang> 1.2.8.15-11.mga4
+ Revision: 445914
- cast variable
- disable gsf build, as it failed building
- rebuild for new poppler

* Sat Jan 12 2013 umeabot <umeabot> 1.2.8.15-10.mga3
+ Revision: 352063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 fwang <fwang> 1.2.8.15-9.mga3
+ Revision: 336474
- fix build with automake 1.13
- rebuild for new poppler

* Mon Nov 12 2012 fwang <fwang> 1.2.8.15-8.mga3
+ Revision: 317122
- rebuild for new poppler

* Wed Oct 10 2012 tv <tv> 1.2.8.15-7.mga3
+ Revision: 304200
- rebuild with new poppler

* Tue Sep 11 2012 fwang <fwang> 1.2.8.15-6.mga3
+ Revision: 292151
- rebuild for new poppler

* Sat Sep 01 2012 fwang <fwang> 1.2.8.15-5.mga3
+ Revision: 286956
- do not add libadd to static libs
- build libgcmd as static lib

* Thu Aug 30 2012 fwang <fwang> 1.2.8.15-4.mga3
+ Revision: 285813
- add fedora patch to build with gcc 4.7
- rebuild for new poppler

* Mon Jun 18 2012 fwang <fwang> 1.2.8.15-3.mga3
+ Revision: 261638
- rebuild for new exiv

* Wed Jun 13 2012 fwang <fwang> 1.2.8.15-2.mga3
+ Revision: 260250
- br gettext
- regenerate configure
- add fedora patch to build with latest poppler
- rebuild for new poppler

* Wed Dec 07 2011 fwang <fwang> 1.2.8.15-1.mga2
+ Revision: 178084
- new version 1.2.8.15

* Fri Oct 28 2011 fwang <fwang> 1.2.8.14-3.mga2
+ Revision: 158961
- rebuild for new poppler

* Sun Oct 09 2011 fwang <fwang> 1.2.8.14-2.mga2
+ Revision: 153419
- rebuild for new exiv2

* Wed Oct 05 2011 wally <wally> 1.2.8.14-1.mga2
+ Revision: 152012
- new version 1.2.8.14

* Tue Sep 27 2011 ovitters <ovitters> 1.2.8.13-4.mga2
+ Revision: 149375
- rebuild for new poppler

* Tue Sep 27 2011 fwang <fwang> 1.2.8.13-3.mga2
+ Revision: 149368
- rebuild for new poppler

* Wed Sep 21 2011 fwang <fwang> 1.2.8.13-2.mga2
+ Revision: 146438
- drop .la files
- new version 1.2.8.13

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Sat Jul 02 2011 wally <wally> 1.2.8.12-1.mga2
+ Revision: 117515
- new version 1.2.8.12
- disable static build
- fix desktop-file-validate warnings
- clean .spec a bit

* Thu Apr 14 2011 ennael <ennael> 1.2.8.10-2.mga1
+ Revision: 85263
- clean spec file
- imported package gnome-commander

